Get organizations

Get organizations.

get
Query parameters
UserIdstringOptional

The param UserId to apply filter.

CountryCodestringOptional

The param CountryCode to apply filter.

LanguageCodestringOptional

The param LanguageCode to apply filter.

CodestringOptional

The param Code to apply filter.

NamestringOptional

The param Name to apply filter.

DescriptionstringOptional

The param Description to apply filter.

AvatarstringOptional

The param Avatar to apply filter.

IsPrivatebooleanOptional

The param IsPrivate to apply filter.

Statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
UserStatusstring · enumOptional

The param Status to apply filter. This status is the status of the user in the organization.

Possible values:
KeywordsstringOptional

The param Keywords to apply filter.

SortDataFieldstringOptional

The sort data field to sort. By default, the value is ID.

SortOrderstring · enumOptional

Specifies the sorting order type for a collection.

Possible values:
PageNumberinteger · int32Optional

The page number of the pagination. Default value is 0.

PageSizeinteger · int32Optional

The page size of the pagination. Default value is 200.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

get
/api/v1/organizations

Last updated